package maratonacps2019_1;

import java.io.BufferedReader;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Receita {

    public static void main(String[] args) {

        String linha = "";

        BufferedReader entrada;

        Object[][] ingredientes = {{"Milho verde", 200, 0, 0,"Kg"}, {"Oleo vegetal", 200, 120, 0,"L"},
        {"Acucar", 250, 360, 0,"Kg"}, {"Fuba", 200, 0, 0,"Kg"}, {"Ovos", 4, 4, 0,""},
        {"Farinha de trigo", 15, 240, 0,"Kg"}, {"Coco ralado", 15, 100, 0,"Kg"},
        {"Fermento em po", 5, 10, 0,"Kg"}, {"Leite de coco", 0, 200, 0,"L"}};

        try {

            entrada = new BufferedReader(new InputStreamReader(System.in));

            while ((linha = entrada.readLine()) != null) {

                if (linha.equals("0")) {
                    break;
                }

                String temp[] = linha.split(" ");

                int n = Integer.parseInt(temp[0]);

                for (int x = 0; x < n; x++) {
                    linha = entrada.readLine();
                    temp = linha.split(" ");
                    int milho = Integer.parseInt(temp[0]);
                    int coco = Integer.parseInt(temp[1]);
                    for (Object[] i : ingredientes) {
                        i[3] = ((int) (i[3])) + ((int) (i[1])) * milho;
                        i[3] = ((int) (i[3])) + ((int) (i[2])) * coco;
                    }
                }
            }
            for (Object[] i : ingredientes) {
                if(i[4].toString().equals("")){
                    System.out.println(i[0].toString()+" "+((int)i[3]));
                }else{
                    System.out.println(i[0].toString()+" "+((int)(i[3])/1000)+i[4].toString());
                }
            }

        } catch (Exception e) {
            System.out.println("Ocorreu um erro durante a leitura!\n" + e);
        }
    }
}
